App konnte nicht installiert werden weil nicht kompatibel

Poste den mal bitte
 
Kopier mal den Befehl und probier nochmal.

adb install --bypass-low-target-sdk-block pH803_2.5.0.022212.apk
 
Hab ich, geht nicht. Kam wieder das gleiche.
Hab deinen Text genau Genauso kopiert und eingefügt.

Die Apk Datei ist auf meinem Desktop. Muss die Evtl. in einen anderen Zielordner?
 
Zuletzt bearbeitet:
Hab grad gesehen, du musst den Dateipfad von der APK noch mit einbauen. Shift Taste drücken/ Rechtsklick auf die Datei / Als Pfad kopieren Das dann noch in den Befehl einfügen vor den Dateinamen setzen.
 
@UncleBarisch Oder die APK in den Platform-Tools Ordner kopieren.
 
Hab ich gemacht. Ist im Ordner drin. Geht nicht.
 
@UncleBarisch Screenshot?
 
Cecoupeter schrieb:
Hab grad gesehen, du musst den Dateipfad von der APK noch mit einbauen. Shift Taste drücken/ Rechtsklick auf die Datei / Als Pfad kopieren Das dann noch in den Befehl einfügen vor den Dateinamen setzen.
17125231287103053921605719819287.jpg
So? Geht aber nicht falls es so ist wie von dir beschrieben.

Man nervt mich das.
 
@UncleBarisch Du musst ein Leerzeichen zwischen "--bypass-low-target-sdk-block" und "C:\..." lassen. :) Sonst ist der Dateipfad ein Teil des gesamten Befehls davor.

Du kannst auch ganz einfach die APK in den Platform-Tools Ordner kopieren, dann brauchst du nur den Namen der APK. Wenn du dann noch die APK kürzer benennst, ist es noch weniger zu tippen. Es würde z.B. auch "1.apk" völlig ausreichen.
 
Zuletzt bearbeitet:
  • Danke
Reaktionen: UncleBarisch
Wärst du so nett und kannst das hier genau so reinschreiben damit ich das dann so direkt kopieren kann und dort im cmd einfügen kann?
Ich benenne die App dann genau so um wie du es rein schreibst, also zb. 1.apk.
 
@UncleBarisch Also die Datei "1.apk" befindet sich im Ordner ~/platform-tools. Dann:
Code:
adb install --bypass-low-target-sdk-block 1.apk
 
  • Danke
Reaktionen: UncleBarisch
Danke, werde ich sie nachher versuchen und hoffe es geht.
 
Man kann die Datei auch mit der Maus ins cmd Fenster ziehen
 
  • Danke
Reaktionen: UncleBarisch
Grad getestet, funktioniert auch mit LADB.
Vielen Dank!
 
Man echt, es geht bei mir einfach ums verrecken nicht.
Was soll der scheiß echt.
PXL_20240408_204342266.jpg
@chika du hast das mit meiner PH803W App gemacht und hat funktioniert?
 
Zuletzt bearbeitet:
@UncleBarisch Die App ist nicht aufgrund der älteren SDK Version inkompatibel, sondern weil deine jetzige CPU-Architektur nicht mit den Libraries der App zurecht kommt. Der Befehlssatz der App kann nicht auf deinem Handy ausgeführt werden. Daran kann auch ein ADB-Befehl nichts ändern.
 
  • Danke
Reaktionen: kurhaus_
Also heißt, die keine Chance über andere Wege die App auf das Hand zu bekommen?
Wäre echt blöd.
 
@UncleBarisch Leider ja. Du hast keine Chance auf diesem Gerät.
 

Ähnliche Themen

Baumstamm
Antworten
24
Aufrufe
3.035
plumbumente
plumbumente
K
  • Gesperrt
  • kappa67
Antworten
1
Aufrufe
529
hagex
hagex
E
Antworten
5
Aufrufe
1.745
pueh
pueh
Zurück
Oben Unten